/***********************************************************
	msh - menu shell interpreter

	0.00 85-08-15 ldab/fl: first version.
	1.00 85-10-14 ldab/hn: Can handle more than one menu
	2.00 85-11-28 ldab/hn: It's a shell now
	by Henrik Norbeck, Luxor Datorer AB 

	msh.h contains definitions of constants
***********************************************************/

/* Standard definitions */
#define  OFF	0
#define	 ON	1

#define	 TRUE 	1
#define	 FALSE  0
#define  NOT	!
#define  ERROR	-1
#define  NOTNULL (~NULL)

#define  STDIN	0
#define  STDOUT 1
#define  STDERR 2

#define  WAIT	 TRUE
#define  NO_WAIT FALSE

/* Names of the structure files */
#define  MENUFILE "/.abcesam"
#define  GRPDIR   "/usr/etc/xlabcesam/grp/"
#define  OTHDIR   "/usr/etc/xlabcesam"

#define  CATALOGUE "/usr/etc/xlabcesam/catalogue"

/* Input file field definitions */
#define  CAT_SYMB	0	/* objects in file structures */
#define  CAT_FLAG	1
#define	 CAT_TEXT	2
#define	 CAT_PROG	3
#define  CAT_INFO	4

#define  STR_NAME	0
#define  STR_SYMB	ag	15/9	8.14	17.15	-0.05	+0.25
Tisdag	16/9	7.39	17.10	+0.25	+0.50
Onsdag	17/9	7.39	17.10	+0.25	+1.15	0.30=>	+1.15
Torsdag	18/9	7.44	17.15	+0.25	+1.10	0.30=>	+2.00
Fredag	19/9	7.44	17.20	+0.30	+1.10	0.30=>	+2.45
					+0.40
VECKA 39
M}ndag	22/9	7.39	17.10	+0.25	+1.05	0.30=>	+3.30
Tisdag	23/9	7.39	17.25	+0.40	+1.15	0.30=>	+4.15
Onsdag	24/9	7.39	16.25	-0.20	+0.25
Torsdag	25/9	7.39	
Fredag

VECKA 40
M}ndag	29/9	9.09	/* 1.30 lunch */
			16.45	-1.30	+0.25	-1.30=>	+2.45
Tisdag	30/9	7.44	17.10	+0.20	+0.45


Fredag		9.30	17.15	-0.50	-0.05

VECKA 41
M}ndag	6/10	7.39	17.35	+0.50	+0.45
Tisdag	
Onsdag	8/10	8.39	17.30	-0.15	+0.30
Torsdag	9/10	8.39	18.20	+0.35	+1.05
Fredag	10/10	8.39	18.00	+0.15	+1.20

VECKA 42
M}ndag	13/10	8.39	17.10	-0.35	+0.45
Tisdag	14/10	7.50	16.26	-0.30	+0.15
Onsdag	15/10	8.19	18.45	+1.20	+1.35
Torsdag	16/10	7